/**************************************************************************/
/*                                                                        */ 
/*            Copyright (c) 1999-2000 by Atmel Corporation		          */ 
/*                                                                        */ 
/*  This software is copyrighted by and is the sole property of Atmel	  */ 
/*  Corporation.  All rights, title, ownership, or other interests		  */ 
/*  in the software remain the property of Atmel Corporation.  This       */ 
/*  software may only be used in accordance with the corresponding        */ 
/*  license agreement.  Any un-authorized use, duplication, transmission, */ 
/*  distribution, or disclosure of this software is expressly forbidden.  */ 
/*                                                                        */
/*  This Copyright notice may not be removed or modified without prior    */ 
/*  written consent of Atmel Corporation.                                 */ 
/*                                                                        */ 
/*  Atmel Corporation, Inc. reserves the right to modify this software    */ 
/*  without notice.                                                       */ 
/*                                                                        */ 
/*  Atmel Corporation.                                                    */
/*  2325 Orchard Parkway               literature@atmel.com               */
/*  San Jose, CA 95131                 http://www.atmel.com               */
/*                                                                        */
/**************************************************************************/


/**************************************************************************/
/**************************************************************************/
/**                                                                       */ 
/** FastVNET (PCMCIA) NDIS Miniport Driver                                */ 
/**                                                                       */
/**   Debug Support								                          */
/**                                                                       */
/**************************************************************************/
/**************************************************************************/


#ifndef __debug_h_OK__
#define __debug_h_OK__

#if DBG

#ifdef WINDOWS_OS
extern ULONG VNetDebugFlag;
#define IF_VNetDEBUG(f) if (VNetDebugFlag & (f))
#endif

#define VNet_DEBUG_LOUD               0x00000001
#define VNet_DEBUG_VERY_LOUD          0x00000002  
#define VNet_DEBUG_OID_LOUD		      0x00000010  
#define VNet_DEBUG_Tx			      0x00000020
#define VNet_DEBUG_Tx_VERBOSE	      0x00000040
#define VNet_DEBUG_Rx			      0x00000080  
#define VNet_DEBUG_Rx_VERBOSE	      0x00000100  
#define VNet_DEBUG_ERRORS		      0x00000200  
#define VNet_DEBUG_XP			      0x00000400
#define VNet_DEBUG_XP_LOUD		      0x00000800
#define VNet_DEBUG_SNIFFER			  0x00001000


//
// Macros for debug levels
//

#define IF_LOUD(A)					IF_VNetDEBUG( VNet_DEBUG_LOUD ) { A }
#define IF_VERY_LOUD(A)				IF_VNetDEBUG( VNet_DEBUG_VERY_LOUD ) { A }
#define IF_OID_LOUD(A)				IF_VNetDEBUG( VNet_DEBUG_OID_LOUD ) { A }
#define IF_DEBUG_TX(A)				IF_VNetDEBUG( VNet_DEBUG_Tx ) { A }
#define IF_DEBUG_TX_VERBOSE(A)		IF_VNetDEBUG( VNet_DEBUG_Tx_VERBOSE ) { A }
#define IF_DEBUG_RX(A)				IF_VNetDEBUG( VNet_DEBUG_Rx ) { A }
#define IF_DEBUG_RX_VERBOSE(A)		IF_VNetDEBUG( VNet_DEBUG_Rx_VERBOSE ) { A }
#define IF_DEBUG_ERRORS(A)			IF_VNetDEBUG( VNet_DEBUG_ERRORS ) { A }
#define IF_XP_LOUD(A)				IF_VNetDEBUG( VNet_DEBUG_XP ) { A }
#define IF_XP_VLOUD(A)				IF_VNetDEBUG( VNet_DEBUG_XP_LOUD ) { A }
#define IF_SNIFFER_LOUD(A)			IF_VNetDEBUG( VNet_DEBUG_SNIFFER ) { A }

#else

//
// In free builds, no messages
//
#define IF_LOUD(A)					{}
#define IF_VERY_LOUD(A)				{}
#define IF_OID_LOUD(A)              {}
#define IF_DEBUG_TX(A)              {}
#define IF_DEBUG_TX_VERBOSE(A)      {}
#define IF_DEBUG_RX(A)              {}
#define IF_DEBUG_RX_VERBOSE(A)      {}
#define IF_DEBUG_ERRORS(A)          {}
#define IF_XP_LOUD(A)				{}
#define IF_XP_VLOUD(A)				{}
#define IF_SNIFFER_LOUD(A)			{}
#endif

#ifdef UNDER_CE
#define CEMsg(A)	MessageBox(NULL, TEXT(A), TEXT("fastvnet"), MB_OK);
#endif

#endif
