/**************************************************************************/
/*                                                                        */ 
/*            Copyright (c) 1999-2000 by Atmel Corporation		          */ 
/*                                                                        */ 
/*  This software is copyrighted by and is the sole property of Atmel	  */ 
/*  Corporation.  All rights, title, ownership, or other interests		  */ 
/*  in the software remain the property of Atmel Corporation.  This       */ 
/*  software may only be used in accordance with the corresponding        */ 
/*  license agreement.  Any un-authorized use, duplication, transmission, */ 
/*  distribution, or disclosure of this software is expressly forbidden.  */ 
/*                                                                        */
/*  This Copyright notice may not be removed or modified without prior    */ 
/*  written consent of Atmel Corporation.                                 */ 
/*                                                                        */ 
/*  Atmel Corporation, Inc. reserves the right to modify this software    */ 
/*  without notice.                                                       */ 
/*                                                                        */ 
/*  Atmel Corporation.                                                    */
/*  2325 Orchard Parkway               literature@atmel.com               */
/*  San Jose, CA 95131                 http://www.atmel.com               */
/*                                                                        */
/**************************************************************************/


/**************************************************************************/
/**************************************************************************/
/**                                                                       */ 
/** FastVNET (PCMCIA) NDIS Miniport Driver                                */ 
/**                                                                       */
/**   Interrupts								                          */
/**                                                                       */
/**************************************************************************/
/**************************************************************************/


#ifndef __interrupt_h_OK__
#define __interrupt_h_OK__

//
// Constants for the Interrupt Status
//
// Indicate the cause of an interrupt.
//
#define ISR_EMPTY				(UCHAR)0x00        // no bits set in ISR
#define ISR_TxCOMPLETE			(UCHAR)0x01        // packet transmitted
#define ISR_RxCOMPLETE			(UCHAR)0x02        // packet received
#define ISR_RxFRAMELOST			(UCHAR)0x04        // Rx Frame lost
#define ISR_FATAL_ERROR			(UCHAR)0x08        // Fatal error
#define ISR_COMMAND_COMPLETE	(UCHAR)0x10        // command completed
#define ISR_OUT_OF_RANGE		(UCHAR)0x20        // command completed
#define ISR_IBSS_MERGE			(UCHAR)0x40        // (4.1.2.30): IBSS merge
//
// Type of an interrupt.
//

typedef enum {
    TxCOMPLETE			= 0x01,
    RxCOMPLETE			= 0x02,
    RxFRAMELOST			= 0x04,
	FATAL_ERROR			= 0x08,
	COMMAND_COMPLETE	= 0x10,
	OUT_OF_RANGE		= 0x20,
	IBSS_MERGE			= 0x40,
    UNKNOWN				= 0x80
} INTERRUPT_TYPE;

#endif
